Name:           perl-DateTime-Format-DBI
Version:        0.031
Release:        3%{?dist}
Summary:        Find a parser class for a database connection
License:        GPL+ or Artistic 
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DateTime-Format-DBI/
Source0:        http://www.cpan.org/authors/id/C/CF/CFAERBER/DateTime-Format-DBI-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(DateTime)            >= 0.1
BuildRequires:  perl(DBI)                 >= 1.21
BuildRequires:  perl(ExtUtils::MakeMaker)
# test
BuildRequires:  perl(Test::More)

# see BZ#456357; until then...
AutoProv:       no
Provides:       perl(DateTime::Format::DBI) = %{version}

%description
This module finds a DateTime::Format::* class that is suitable for the use
with a given DBI connection (and DBD::* driver).

Note that this is most useful if you actually have the DateTime::Format::*
class for your particular database(s) installed!  See, e.g.,
perl-DateTime-MySQL, perl-DateTime-Oracle, perl-DateTime-DB2, etc.

%prep
%setup -q -n DateTime-Format-DBI-%{version}

for i in README lib/DateTime/Format/DBI.pm ; do
    
    # correct UTF-8 wonkiness
    cat $i | iconv -f ISO-8859-1 -t UTF-8 > foo
    mv foo $i
done

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jul 24 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.031-3
- bump

* Tue Jul 22 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.031-2
- override perl's auto-prov.  see RH BZ#456357

* Wed Jul 16 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.031-1
- Specfile autogenerated by cpanspec 1.74.
